# Uses of Class
com.google.protobuf.Descriptors.MethodDescriptor

Packages that use Descriptors.MethodDescriptor
Package
Description
com.google.protobuf

## Uses of Descriptors.MethodDescriptor in com.google.protobuf

Methods in com.google.protobuf that return Descriptors.MethodDescriptor
Modifier and Type
Method
Description
`Descriptors.MethodDescriptor`
Descriptors.ServiceDescriptor.`findMethodByName(String name)`
Find a method by name.
Methods in com.google.protobuf that return types with arguments of type Descriptors.MethodDescriptor
Modifier and Type
Method
Description
`List<Descriptors.MethodDescriptor>`
Descriptors.ServiceDescriptor.`getMethods()`
Get a list of methods for this service.
Methods in com.google.protobuf with parameters of type Descriptors.MethodDescriptor
Modifier and Type
Method
Description
`Message`
BlockingRpcChannel.`callBlockingMethod(Descriptors.MethodDescriptor method, RpcController controller, Message request, Message responsePrototype)`
Call the given method of the remote service and blocks until it returns.
`Message`
BlockingService.`callBlockingMethod(Descriptors.MethodDescriptor method, RpcController controller, Message request)`
Equivalent to `Service.callMethod(com.google.protobuf.Descriptors.MethodDescriptor, com.google.protobuf.RpcController, com.google.protobuf.Message, com.google.protobuf.RpcCallback<com.google.protobuf.Message>)`, except that `callBlockingMethod()` returns the result of the RPC or throws a `ServiceException` if there is a failure, rather than passing the information to a callback.
`void`
RpcChannel.`callMethod(Descriptors.MethodDescriptor method, RpcController controller, Message request, Message responsePrototype, RpcCallback<Message> done)`
Call the given method of the remote service.
`void`
Service.`callMethod(Descriptors.MethodDescriptor method, RpcController controller, Message request, RpcCallback<Message> done)`
Call a method of the service specified by MethodDescriptor.
`Message`
BlockingService.`getRequestPrototype(Descriptors.MethodDescriptor method)`
Equivalent to `Service.getRequestPrototype(com.google.protobuf.Descriptors.MethodDescriptor)`.
`Message`
Service.`getRequestPrototype(Descriptors.MethodDescriptor method)`
`callMethod()` requires that the request passed in is of a particular subclass of `Message`.
`Message`
BlockingService.`getResponsePrototype(Descriptors.MethodDescriptor method)`
Equivalent to `Service.getResponsePrototype(com.google.protobuf.Descriptors.MethodDescriptor)`.
`Message`
Service.`getResponsePrototype(Descriptors.MethodDescriptor method)`
Like `getRequestPrototype()`, but gets a prototype of the response message.